CC=cc
CFLAGS=-I/usr/local/include -ggdb
DEPS = qwktoss.c
JAMLIB = ../../deps/jamlib/jamlib.a
OBJ = qwktoss.o ../../src/inih/ini.o

all: qwktoss

%.o: %.c $(DEPS)
	$(CC) -c -o $@ $< $(CFLAGS)

$(JAMLIB):
	cd ../../deps/jamlib && make -f Makefile.linux

qwktoss: $(OBJ) $(JAMLIB)
	$(CC) -o qwktoss $^ $(CFLAGS) -L/usr/local/lib 
	
.PHONY: clean

clean:
	rm -f $(OBJ) qwktoss